• Post Reply
  • Bookmark Topic Watch Topic
  • New Topic

ejb 2.X resources are compatible with ejb 3.0 ones

 
ludoviko azuaje
Ranch Hand
Posts: 72
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
hello,

im interested in ejb 3.0 for certification purposes, the issue is that almost all -free- material available is ejb 2.X related.

i�ve got some tutorials ejb 2.X related and wonder if they could be deployed in an ejb-3.0 complient application server.

could code examples for ejb 2.X still run in an ejb 3.0 complient application servers?

are the resources for ejb 2.X usefull for learning ejb as fundamentals of ejb in general -in some way or another-?

thanks.
 
Sami Kosonen
Greenhorn
Posts: 13
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
There is quite much changes in EJB 3.0 compared to EJB 2.1.

If you want to learn new EJB 3.0 it's good to go through some EJB 3.0 tutorials and material.

I learned a lot from this tutorial:
http://trailblazer.demo.jboss.com/EJB3Trail/

EJB 3.0 is really nice compared to the previous EJB 2.1.
 
Herman Schelti
Ranch Hand
Posts: 387
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
hi ludoviko ,

EJB 3.0 containers should also be able to run ejb2.1 apps.
(backwards compatible)

Herman
 
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic